BuildRequires: python-modules-encodings
Name:           gonvert
Version:        0.2.32
Release:        alt1_1
Summary:        Units conversion utility
Group:          Engineering
License:        GPL+
URL:            http://unihedron.com/projects/gonvert
Source0:        http://unihedron.com/projects/gonvert/downloads/%{name}-%{version}.tar.gz
Patch0:         gonvert-desktop-icon.patch

BuildRequires:  desktop-file-utils
Requires:       python-module-pygtk

BuildArch:      noarch
Source44: import.info

%description
gonvert is a conversion utility that allows conversion between many units
like CGS, Ancient, Imperial with many categories like length, mass, numbers,
etc. All units converted values shown at once as you type. Easy to add/change
your own units. Written in Python, pygtk, libglade.


%prep
%setup -q

%patch0 -p0

# remove execute bits from doc files
chmod -x doc/*

# fix encoding on THANKS and TODO files
pushd doc >/dev/null
iconv -f iso8859-1 -t utf-8 THANKS > THANKS.conv && mv -f THANKS.conv THANKS
iconv -f iso8859-1 -t utf-8 TODO > TODO.conv && mv -f TODO.conv TODO
popd >/dev/null


%build
# there's nothing that needs built


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} install
rm -rf ${RPM_BUILD_ROOT}/%{_docdir}/%{name}

desktop-file-install                                \
    --delete-original                               \
    --remove-category Application                   \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
    ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Utilities/gonvert.desktop


%files
%doc doc/CHANGELOG doc/COPYING doc/FAQ doc/README doc/THANKS doc/TODO
%{_bindir}/gonvert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gonvert
%{_datadir}/pixmaps/gonvert*.png


%changelog
* Tue Feb 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.32-alt1_1
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.25-alt1_4
- initial fc import

